package com.mortals.xhx.module.check.model;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.check.model.CheckAttendRecordEntity;
/**
 * 考勤绩效记录核查信息查询对象
 *
 * @author zxfei
 * @date 2023-07-07
 */
public class CheckAttendRecordQuery extends CheckAttendRecordEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 记录ID */
    private Long recordIdStart;

    /** 结束 记录ID */
    private Long recordIdEnd;

    /** 增加 记录ID */
    private Long recordIdIncrement;

    /** 记录ID列表 */
    private List <Long> recordIdList;

    /** 记录ID排除列表 */
    private List <Long> recordIdNotList;

    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 工号 */
    private List<String> workNumList;

    /** 工号排除列表 */
    private List <String> workNumNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 所属考勤组ID */
    private Long attendanceGroupIdStart;

    /** 结束 所属考勤组ID */
    private Long attendanceGroupIdEnd;

    /** 增加 所属考勤组ID */
    private Long attendanceGroupIdIncrement;

    /** 所属考勤组ID列表 */
    private List <Long> attendanceGroupIdList;

    /** 所属考勤组ID排除列表 */
    private List <Long> attendanceGroupIdNotList;

    /** 所属考勤组名称 */
    private List<String> attendanceGroupNameList;

    /** 所属考勤组名称排除列表 */
    private List <String> attendanceGroupNameNotList;
    /** 开始 考勤时间 */
    private String attendanceDateStart;

    /** 结束 考勤时间 */
    private String attendanceDateEnd;

    /** 开始 绩效规则id */
    private Long ruleIdStart;

    /** 结束 绩效规则id */
    private Long ruleIdEnd;

    /** 增加 绩效规则id */
    private Long ruleIdIncrement;

    /** 绩效规则id列表 */
    private List <Long> ruleIdList;

    /** 绩效规则id排除列表 */
    private List <Long> ruleIdNotList;

    /** 规则名称 */
    private List<String> ruleNameList;

    /** 规则名称排除列表 */
    private List <String> ruleNameNotList;
    /** 开始 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeStart;

    /** 结束 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeEnd;

    /** 增加 增减类型(1.增加,2.扣除) */
    private Integer subAddTypeIncrement;

    /** 增减类型(1.增加,2.扣除)列表 */
    private List <Integer> subAddTypeList;

    /** 增减类型(1.增加,2.扣除)排除列表 */
    private List <Integer> subAddTypeNotList;

    /** 开始 扣分或增加分值 */
    private BigDecimal scoreStart;

    /** 结束 扣分或增加分值 */
    private BigDecimal scoreEnd;

    /** 增加 扣分或增加分值 */
    private BigDecimal scoreIncrement;

    /** 扣分或增加分值列表 */
    private List <BigDecimal> scoreList;

    /** 扣分或增加分值排除列表 */
    private List <BigDecimal> scoreNotList;

    /** 上下班时间 */
    private List<String> goOffTimeStrList;

    /** 上下班时间排除列表 */
    private List <String> goOffTimeStrNotList;
    /** 开始 异常时间 */
    private String errorTimeStart;

    /** 结束 异常时间 */
    private String errorTimeEnd;

    /** 开始 实际打卡时间 */
    private String actualAttendTimeStart;

    /** 结束 实际打卡时间 */
    private String actualAttendTimeEnd;

    /** 异常处理结果 */
    private List<String> errorResultList;

    /** 异常处理结果排除列表 */
    private List <String> errorResultNotList;
    /** 核查人员 */
    private List<String> checkPersonList;

    /** 核查人员排除列表 */
    private List <String> checkPersonNotList;
    /** 开始 核查时间 */
    private String checkTimeStart;

    /** 结束 核查时间 */
    private String checkTimeEnd;

    /** 核查说明 */
    private List<String> checkDescList;

    /** 核查说明排除列表 */
    private List <String> checkDescNotList;
    /** 核查结果 */
    private List<String> checkResultList;

    /** 核查结果排除列表 */
    private List <String> checkResultNotList;
    /** 开始 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusStart;

    /** 结束 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusEnd;

    /** 增加 处理状态(1.未处理,2.已处理) */
    private Integer checkStatusIncrement;

    /** 处理状态(1.未处理,2.已处理)列表 */
    private List <Integer> checkStatusList;

    /** 处理状态(1.未处理,2.已处理)排除列表 */
    private List <Integer> checkStatusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 扣分方式(1.系统自动,2.人工添加,3.大厅巡查) */
    private Integer subMethodStart;

    /** 结束 扣分方式(1.系统自动,2.人工添加,3.大厅巡查) */
    private Integer subMethodEnd;

    /** 增加 扣分方式(1.系统自动,2.人工添加,3.大厅巡查) */
    private Integer subMethodIncrement;

    /** 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)列表 */
    private List <Integer> subMethodList;

    /** 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)排除列表 */
    private List <Integer> subMethodNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CheckAttendRecordQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CheckAttendRecordQuery> andConditionList;

    public CheckAttendRecordQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 记录ID
     * @return recordIdStart
     */
    public Long getRecordIdStart(){
        return this.recordIdStart;
    }

    /**
     * 设置 开始 记录ID
     * @param recordIdStart
     */
    public void setRecordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
    }

    /**
     * 获取 结束 记录ID
     * @return $recordIdEnd
     */
    public Long getRecordIdEnd(){
        return this.recordIdEnd;
    }

    /**
     * 设置 结束 记录ID
     * @param recordIdEnd
     */
    public void setRecordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
    }

    /**
     * 获取 增加 记录ID
     * @return recordIdIncrement
     */
    public Long getRecordIdIncrement(){
        return this.recordIdIncrement;
    }

    /**
     * 设置 增加 记录ID
     * @param recordIdIncrement
     */
    public void setRecordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
    }

    /**
     * 获取 记录ID
     * @return recordIdList
     */
    public List<Long> getRecordIdList(){
        return this.recordIdList;
    }

    /**
     * 设置 记录ID
     * @param recordIdList
     */
    public void setRecordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
    }

    /**
     * 获取 记录ID
     * @return recordIdNotList
     */
    public List<Long> getRecordIdNotList(){
        return this.recordIdNotList;
    }

    /**
     * 设置 记录ID
     * @param recordIdNotList
     */
    public void setRecordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
    }


    /**
     * 获取 开始 员工ID
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 员工ID
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 员工ID
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 员工ID
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 员工ID
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 员工ID
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 员工ID
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 员工ID
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 员工ID
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 员工ID
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 员工姓名
     * @return staffNameList
     */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
     * 设置 员工姓名
     * @param staffNameList
     */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
     * 获取 员工姓名
     * @return staffNameNotList
     */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
     * 设置 员工姓名
     * @param staffNameNotList
     */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
     * 获取 工号
     * @return workNumList
     */
    public List<String> getWorkNumList(){
        return this.workNumList;
    }

    /**
     * 设置 工号
     * @param workNumList
     */
    public void setWorkNumList(List<String> workNumList){
        this.workNumList = workNumList;
    }

    /**
     * 获取 工号
     * @return workNumNotList
     */
    public List<String> getWorkNumNotList(){
        return this.workNumNotList;
    }

    /**
     * 设置 工号
     * @param workNumNotList
     */
    public void setWorkNumNotList(List<String> workNumNotList){
        this.workNumNotList = workNumNotList;
    }

    /**
     * 获取 开始 所属部门
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 所属考勤组ID
     * @return attendanceGroupIdStart
     */
    public Long getAttendanceGroupIdStart(){
        return this.attendanceGroupIdStart;
    }

    /**
     * 设置 开始 所属考勤组ID
     * @param attendanceGroupIdStart
     */
    public void setAttendanceGroupIdStart(Long attendanceGroupIdStart){
        this.attendanceGroupIdStart = attendanceGroupIdStart;
    }

    /**
     * 获取 结束 所属考勤组ID
     * @return $attendanceGroupIdEnd
     */
    public Long getAttendanceGroupIdEnd(){
        return this.attendanceGroupIdEnd;
    }

    /**
     * 设置 结束 所属考勤组ID
     * @param attendanceGroupIdEnd
     */
    public void setAttendanceGroupIdEnd(Long attendanceGroupIdEnd){
        this.attendanceGroupIdEnd = attendanceGroupIdEnd;
    }

    /**
     * 获取 增加 所属考勤组ID
     * @return attendanceGroupIdIncrement
     */
    public Long getAttendanceGroupIdIncrement(){
        return this.attendanceGroupIdIncrement;
    }

    /**
     * 设置 增加 所属考勤组ID
     * @param attendanceGroupIdIncrement
     */
    public void setAttendanceGroupIdIncrement(Long attendanceGroupIdIncrement){
        this.attendanceGroupIdIncrement = attendanceGroupIdIncrement;
    }

    /**
     * 获取 所属考勤组ID
     * @return attendanceGroupIdList
     */
    public List<Long> getAttendanceGroupIdList(){
        return this.attendanceGroupIdList;
    }

    /**
     * 设置 所属考勤组ID
     * @param attendanceGroupIdList
     */
    public void setAttendanceGroupIdList(List<Long> attendanceGroupIdList){
        this.attendanceGroupIdList = attendanceGroupIdList;
    }

    /**
     * 获取 所属考勤组ID
     * @return attendanceGroupIdNotList
     */
    public List<Long> getAttendanceGroupIdNotList(){
        return this.attendanceGroupIdNotList;
    }

    /**
     * 设置 所属考勤组ID
     * @param attendanceGroupIdNotList
     */
    public void setAttendanceGroupIdNotList(List<Long> attendanceGroupIdNotList){
        this.attendanceGroupIdNotList = attendanceGroupIdNotList;
    }


    /**
     * 获取 所属考勤组名称
     * @return attendanceGroupNameList
     */
    public List<String> getAttendanceGroupNameList(){
        return this.attendanceGroupNameList;
    }

    /**
     * 设置 所属考勤组名称
     * @param attendanceGroupNameList
     */
    public void setAttendanceGroupNameList(List<String> attendanceGroupNameList){
        this.attendanceGroupNameList = attendanceGroupNameList;
    }

    /**
     * 获取 所属考勤组名称
     * @return attendanceGroupNameNotList
     */
    public List<String> getAttendanceGroupNameNotList(){
        return this.attendanceGroupNameNotList;
    }

    /**
     * 设置 所属考勤组名称
     * @param attendanceGroupNameNotList
     */
    public void setAttendanceGroupNameNotList(List<String> attendanceGroupNameNotList){
        this.attendanceGroupNameNotList = attendanceGroupNameNotList;
    }

    /**
     * 获取 开始 考勤时间
     * @return attendanceDateStart
     */
    public String getAttendanceDateStart(){
        return this.attendanceDateStart;
    }

    /**
     * 设置 开始 考勤时间
     * @param attendanceDateStart
     */
    public void setAttendanceDateStart(String attendanceDateStart){
        this.attendanceDateStart = attendanceDateStart;
    }

    /**
     * 获取 结束 考勤时间
     * @return attendanceDateEnd
     */
    public String getAttendanceDateEnd(){
        return this.attendanceDateEnd;
    }

    /**
     * 设置 结束 考勤时间
     * @param attendanceDateEnd
     */
    public void setAttendanceDateEnd(String attendanceDateEnd){
        this.attendanceDateEnd = attendanceDateEnd;
    }

    /**
     * 获取 开始 绩效规则id
     * @return ruleIdStart
     */
    public Long getRuleIdStart(){
        return this.ruleIdStart;
    }

    /**
     * 设置 开始 绩效规则id
     * @param ruleIdStart
     */
    public void setRuleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
    }

    /**
     * 获取 结束 绩效规则id
     * @return $ruleIdEnd
     */
    public Long getRuleIdEnd(){
        return this.ruleIdEnd;
    }

    /**
     * 设置 结束 绩效规则id
     * @param ruleIdEnd
     */
    public void setRuleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
    }

    /**
     * 获取 增加 绩效规则id
     * @return ruleIdIncrement
     */
    public Long getRuleIdIncrement(){
        return this.ruleIdIncrement;
    }

    /**
     * 设置 增加 绩效规则id
     * @param ruleIdIncrement
     */
    public void setRuleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
    }

    /**
     * 获取 绩效规则id
     * @return ruleIdList
     */
    public List<Long> getRuleIdList(){
        return this.ruleIdList;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdList
     */
    public void setRuleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
    }

    /**
     * 获取 绩效规则id
     * @return ruleIdNotList
     */
    public List<Long> getRuleIdNotList(){
        return this.ruleIdNotList;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdNotList
     */
    public void setRuleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
    }


    /**
     * 获取 规则名称
     * @return ruleNameList
     */
    public List<String> getRuleNameList(){
        return this.ruleNameList;
    }

    /**
     * 设置 规则名称
     * @param ruleNameList
     */
    public void setRuleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
    }

    /**
     * 获取 规则名称
     * @return ruleNameNotList
     */
    public List<String> getRuleNameNotList(){
        return this.ruleNameNotList;
    }

    /**
     * 设置 规则名称
     * @param ruleNameNotList
     */
    public void setRuleNameNotList(List<String> ruleNameNotList){
        this.ruleNameNotList = ruleNameNotList;
    }

    /**
     * 获取 开始 增减类型(1.增加,2.扣除)
     * @return subAddTypeStart
     */
    public Integer getSubAddTypeStart(){
        return this.subAddTypeStart;
    }

    /**
     * 设置 开始 增减类型(1.增加,2.扣除)
     * @param subAddTypeStart
     */
    public void setSubAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
    }

    /**
     * 获取 结束 增减类型(1.增加,2.扣除)
     * @return $subAddTypeEnd
     */
    public Integer getSubAddTypeEnd(){
        return this.subAddTypeEnd;
    }

    /**
     * 设置 结束 增减类型(1.增加,2.扣除)
     * @param subAddTypeEnd
     */
    public void setSubAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
    }

    /**
     * 获取 增加 增减类型(1.增加,2.扣除)
     * @return subAddTypeIncrement
     */
    public Integer getSubAddTypeIncrement(){
        return this.subAddTypeIncrement;
    }

    /**
     * 设置 增加 增减类型(1.增加,2.扣除)
     * @param subAddTypeIncrement
     */
    public void setSubAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
    }

    /**
     * 获取 增减类型(1.增加,2.扣除)
     * @return subAddTypeList
     */
    public List<Integer> getSubAddTypeList(){
        return this.subAddTypeList;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeList
     */
    public void setSubAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
    }

    /**
     * 获取 增减类型(1.增加,2.扣除)
     * @return subAddTypeNotList
     */
    public List<Integer> getSubAddTypeNotList(){
        return this.subAddTypeNotList;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeNotList
     */
    public void setSubAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
    }


    /**
     * 获取 开始 扣分或增加分值
     * @return scoreStart
     */
    public BigDecimal getScoreStart(){
        return this.scoreStart;
    }

    /**
     * 设置 开始 扣分或增加分值
     * @param scoreStart
     */
    public void setScoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
    }

    /**
     * 获取 结束 扣分或增加分值
     * @return $scoreEnd
     */
    public BigDecimal getScoreEnd(){
        return this.scoreEnd;
    }

    /**
     * 设置 结束 扣分或增加分值
     * @param scoreEnd
     */
    public void setScoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
    }

    /**
     * 获取 增加 扣分或增加分值
     * @return scoreIncrement
     */
    public BigDecimal getScoreIncrement(){
        return this.scoreIncrement;
    }

    /**
     * 设置 增加 扣分或增加分值
     * @param scoreIncrement
     */
    public void setScoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
    }

    /**
     * 获取 扣分或增加分值
     * @return scoreList
     */
    public List<BigDecimal> getScoreList(){
        return this.scoreList;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreList
     */
    public void setScoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
    }

    /**
     * 获取 扣分或增加分值
     * @return scoreNotList
     */
    public List<BigDecimal> getScoreNotList(){
        return this.scoreNotList;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreNotList
     */
    public void setScoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
    }


    /**
     * 获取 上下班时间
     * @return goOffTimeStrList
     */
    public List<String> getGoOffTimeStrList(){
        return this.goOffTimeStrList;
    }

    /**
     * 设置 上下班时间
     * @param goOffTimeStrList
     */
    public void setGoOffTimeStrList(List<String> goOffTimeStrList){
        this.goOffTimeStrList = goOffTimeStrList;
    }

    /**
     * 获取 上下班时间
     * @return goOffTimeStrNotList
     */
    public List<String> getGoOffTimeStrNotList(){
        return this.goOffTimeStrNotList;
    }

    /**
     * 设置 上下班时间
     * @param goOffTimeStrNotList
     */
    public void setGoOffTimeStrNotList(List<String> goOffTimeStrNotList){
        this.goOffTimeStrNotList = goOffTimeStrNotList;
    }

    /**
     * 获取 开始 异常时间
     * @return errorTimeStart
     */
    public String getErrorTimeStart(){
        return this.errorTimeStart;
    }

    /**
     * 设置 开始 异常时间
     * @param errorTimeStart
     */
    public void setErrorTimeStart(String errorTimeStart){
        this.errorTimeStart = errorTimeStart;
    }

    /**
     * 获取 结束 异常时间
     * @return errorTimeEnd
     */
    public String getErrorTimeEnd(){
        return this.errorTimeEnd;
    }

    /**
     * 设置 结束 异常时间
     * @param errorTimeEnd
     */
    public void setErrorTimeEnd(String errorTimeEnd){
        this.errorTimeEnd = errorTimeEnd;
    }

    /**
     * 获取 开始 实际打卡时间
     * @return actualAttendTimeStart
     */
    public String getActualAttendTimeStart(){
        return this.actualAttendTimeStart;
    }

    /**
     * 设置 开始 实际打卡时间
     * @param actualAttendTimeStart
     */
    public void setActualAttendTimeStart(String actualAttendTimeStart){
        this.actualAttendTimeStart = actualAttendTimeStart;
    }

    /**
     * 获取 结束 实际打卡时间
     * @return actualAttendTimeEnd
     */
    public String getActualAttendTimeEnd(){
        return this.actualAttendTimeEnd;
    }

    /**
     * 设置 结束 实际打卡时间
     * @param actualAttendTimeEnd
     */
    public void setActualAttendTimeEnd(String actualAttendTimeEnd){
        this.actualAttendTimeEnd = actualAttendTimeEnd;
    }

    /**
     * 获取 异常处理结果
     * @return errorResultList
     */
    public List<String> getErrorResultList(){
        return this.errorResultList;
    }

    /**
     * 设置 异常处理结果
     * @param errorResultList
     */
    public void setErrorResultList(List<String> errorResultList){
        this.errorResultList = errorResultList;
    }

    /**
     * 获取 异常处理结果
     * @return errorResultNotList
     */
    public List<String> getErrorResultNotList(){
        return this.errorResultNotList;
    }

    /**
     * 设置 异常处理结果
     * @param errorResultNotList
     */
    public void setErrorResultNotList(List<String> errorResultNotList){
        this.errorResultNotList = errorResultNotList;
    }

    /**
     * 获取 核查人员
     * @return checkPersonList
     */
    public List<String> getCheckPersonList(){
        return this.checkPersonList;
    }

    /**
     * 设置 核查人员
     * @param checkPersonList
     */
    public void setCheckPersonList(List<String> checkPersonList){
        this.checkPersonList = checkPersonList;
    }

    /**
     * 获取 核查人员
     * @return checkPersonNotList
     */
    public List<String> getCheckPersonNotList(){
        return this.checkPersonNotList;
    }

    /**
     * 设置 核查人员
     * @param checkPersonNotList
     */
    public void setCheckPersonNotList(List<String> checkPersonNotList){
        this.checkPersonNotList = checkPersonNotList;
    }

    /**
     * 获取 开始 核查时间
     * @return checkTimeStart
     */
    public String getCheckTimeStart(){
        return this.checkTimeStart;
    }

    /**
     * 设置 开始 核查时间
     * @param checkTimeStart
     */
    public void setCheckTimeStart(String checkTimeStart){
        this.checkTimeStart = checkTimeStart;
    }

    /**
     * 获取 结束 核查时间
     * @return checkTimeEnd
     */
    public String getCheckTimeEnd(){
        return this.checkTimeEnd;
    }

    /**
     * 设置 结束 核查时间
     * @param checkTimeEnd
     */
    public void setCheckTimeEnd(String checkTimeEnd){
        this.checkTimeEnd = checkTimeEnd;
    }

    /**
     * 获取 核查说明
     * @return checkDescList
     */
    public List<String> getCheckDescList(){
        return this.checkDescList;
    }

    /**
     * 设置 核查说明
     * @param checkDescList
     */
    public void setCheckDescList(List<String> checkDescList){
        this.checkDescList = checkDescList;
    }

    /**
     * 获取 核查说明
     * @return checkDescNotList
     */
    public List<String> getCheckDescNotList(){
        return this.checkDescNotList;
    }

    /**
     * 设置 核查说明
     * @param checkDescNotList
     */
    public void setCheckDescNotList(List<String> checkDescNotList){
        this.checkDescNotList = checkDescNotList;
    }

    /**
     * 获取 核查结果
     * @return checkResultList
     */
    public List<String> getCheckResultList(){
        return this.checkResultList;
    }

    /**
     * 设置 核查结果
     * @param checkResultList
     */
    public void setCheckResultList(List<String> checkResultList){
        this.checkResultList = checkResultList;
    }

    /**
     * 获取 核查结果
     * @return checkResultNotList
     */
    public List<String> getCheckResultNotList(){
        return this.checkResultNotList;
    }

    /**
     * 设置 核查结果
     * @param checkResultNotList
     */
    public void setCheckResultNotList(List<String> checkResultNotList){
        this.checkResultNotList = checkResultNotList;
    }

    /**
     * 获取 开始 处理状态(1.未处理,2.已处理)
     * @return checkStatusStart
     */
    public Integer getCheckStatusStart(){
        return this.checkStatusStart;
    }

    /**
     * 设置 开始 处理状态(1.未处理,2.已处理)
     * @param checkStatusStart
     */
    public void setCheckStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
    }

    /**
     * 获取 结束 处理状态(1.未处理,2.已处理)
     * @return $checkStatusEnd
     */
    public Integer getCheckStatusEnd(){
        return this.checkStatusEnd;
    }

    /**
     * 设置 结束 处理状态(1.未处理,2.已处理)
     * @param checkStatusEnd
     */
    public void setCheckStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
    }

    /**
     * 获取 增加 处理状态(1.未处理,2.已处理)
     * @return checkStatusIncrement
     */
    public Integer getCheckStatusIncrement(){
        return this.checkStatusIncrement;
    }

    /**
     * 设置 增加 处理状态(1.未处理,2.已处理)
     * @param checkStatusIncrement
     */
    public void setCheckStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
    }

    /**
     * 获取 处理状态(1.未处理,2.已处理)
     * @return checkStatusList
     */
    public List<Integer> getCheckStatusList(){
        return this.checkStatusList;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusList
     */
    public void setCheckStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
    }

    /**
     * 获取 处理状态(1.未处理,2.已处理)
     * @return checkStatusNotList
     */
    public List<Integer> getCheckStatusNotList(){
        return this.checkStatusNotList;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusNotList
     */
    public void setCheckStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
    }


    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @return subMethodStart
     */
    public Integer getSubMethodStart(){
        return this.subMethodStart;
    }

    /**
     * 设置 开始 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodStart
     */
    public void setSubMethodStart(Integer subMethodStart){
        this.subMethodStart = subMethodStart;
    }

    /**
     * 获取 结束 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @return $subMethodEnd
     */
    public Integer getSubMethodEnd(){
        return this.subMethodEnd;
    }

    /**
     * 设置 结束 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodEnd
     */
    public void setSubMethodEnd(Integer subMethodEnd){
        this.subMethodEnd = subMethodEnd;
    }

    /**
     * 获取 增加 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @return subMethodIncrement
     */
    public Integer getSubMethodIncrement(){
        return this.subMethodIncrement;
    }

    /**
     * 设置 增加 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodIncrement
     */
    public void setSubMethodIncrement(Integer subMethodIncrement){
        this.subMethodIncrement = subMethodIncrement;
    }

    /**
     * 获取 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @return subMethodList
     */
    public List<Integer> getSubMethodList(){
        return this.subMethodList;
    }

    /**
     * 设置 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodList
     */
    public void setSubMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
    }

    /**
     * 获取 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @return subMethodNotList
     */
    public List<Integer> getSubMethodNotList(){
        return this.subMethodNotList;
    }

    /**
     * 设置 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodNotList
     */
    public void setSubMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public CheckAttendRecordQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public CheckAttendRecordQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public CheckAttendRecordQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public CheckAttendRecordQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public CheckAttendRecordQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public CheckAttendRecordQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  记录ID
     * @param recordId
     */
    public CheckAttendRecordQuery recordId(Long recordId){
        setRecordId(recordId);
        return this;
    }

    /**
     * 设置 开始 记录ID
     * @param recordIdStart
     */
    public CheckAttendRecordQuery recordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
        return this;
    }

    /**
     * 设置 结束 记录ID
     * @param recordIdEnd
     */
    public CheckAttendRecordQuery recordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
        return this;
    }

    /**
     * 设置 增加 记录ID
     * @param recordIdIncrement
     */
    public CheckAttendRecordQuery recordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
        return this;
    }

    /**
     * 设置 记录ID
     * @param recordIdList
     */
    public CheckAttendRecordQuery recordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
        return this;
    }

    /**
     * 设置 记录ID
     * @param recordIdNotList
     */
    public CheckAttendRecordQuery recordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
        return this;
    }

    /**
     * 设置  员工ID
     * @param staffId
     */
    public CheckAttendRecordQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 员工ID
     * @param staffIdStart
     */
    public CheckAttendRecordQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 员工ID
     * @param staffIdEnd
     */
    public CheckAttendRecordQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 员工ID
     * @param staffIdIncrement
     */
    public CheckAttendRecordQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 员工ID
     * @param staffIdList
     */
    public CheckAttendRecordQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 员工ID
     * @param staffIdNotList
     */
    public CheckAttendRecordQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }


    /**
     * 设置 员工姓名
     * @param staffName
     */
    public CheckAttendRecordQuery staffName(String staffName){
        setStaffName(staffName);
        return this;
    }

    /**
     * 设置 员工姓名
     * @param staffNameList
     */
    public CheckAttendRecordQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
        return this;
    }


    /**
     * 设置 工号
     * @param workNum
     */
    public CheckAttendRecordQuery workNum(String workNum){
        setWorkNum(workNum);
        return this;
    }

    /**
     * 设置 工号
     * @param workNumList
     */
    public CheckAttendRecordQuery workNumList(List<String> workNumList){
        this.workNumList = workNumList;
        return this;
    }

    /**
     * 设置  所属部门
     * @param deptId
     */
    public CheckAttendRecordQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public CheckAttendRecordQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public CheckAttendRecordQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public CheckAttendRecordQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public CheckAttendRecordQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public CheckAttendRecordQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public CheckAttendRecordQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public CheckAttendRecordQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  所属考勤组ID
     * @param attendanceGroupId
     */
    public CheckAttendRecordQuery attendanceGroupId(Long attendanceGroupId){
        setAttendanceGroupId(attendanceGroupId);
        return this;
    }

    /**
     * 设置 开始 所属考勤组ID
     * @param attendanceGroupIdStart
     */
    public CheckAttendRecordQuery attendanceGroupIdStart(Long attendanceGroupIdStart){
        this.attendanceGroupIdStart = attendanceGroupIdStart;
        return this;
    }

    /**
     * 设置 结束 所属考勤组ID
     * @param attendanceGroupIdEnd
     */
    public CheckAttendRecordQuery attendanceGroupIdEnd(Long attendanceGroupIdEnd){
        this.attendanceGroupIdEnd = attendanceGroupIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属考勤组ID
     * @param attendanceGroupIdIncrement
     */
    public CheckAttendRecordQuery attendanceGroupIdIncrement(Long attendanceGroupIdIncrement){
        this.attendanceGroupIdIncrement = attendanceGroupIdIncrement;
        return this;
    }

    /**
     * 设置 所属考勤组ID
     * @param attendanceGroupIdList
     */
    public CheckAttendRecordQuery attendanceGroupIdList(List<Long> attendanceGroupIdList){
        this.attendanceGroupIdList = attendanceGroupIdList;
        return this;
    }

    /**
     * 设置 所属考勤组ID
     * @param attendanceGroupIdNotList
     */
    public CheckAttendRecordQuery attendanceGroupIdNotList(List<Long> attendanceGroupIdNotList){
        this.attendanceGroupIdNotList = attendanceGroupIdNotList;
        return this;
    }


    /**
     * 设置 所属考勤组名称
     * @param attendanceGroupName
     */
    public CheckAttendRecordQuery attendanceGroupName(String attendanceGroupName){
        setAttendanceGroupName(attendanceGroupName);
        return this;
    }

    /**
     * 设置 所属考勤组名称
     * @param attendanceGroupNameList
     */
    public CheckAttendRecordQuery attendanceGroupNameList(List<String> attendanceGroupNameList){
        this.attendanceGroupNameList = attendanceGroupNameList;
        return this;
    }


    /**
     * 设置  绩效规则id
     * @param ruleId
     */
    public CheckAttendRecordQuery ruleId(Long ruleId){
        setRuleId(ruleId);
        return this;
    }

    /**
     * 设置 开始 绩效规则id
     * @param ruleIdStart
     */
    public CheckAttendRecordQuery ruleIdStart(Long ruleIdStart){
        this.ruleIdStart = ruleIdStart;
        return this;
    }

    /**
     * 设置 结束 绩效规则id
     * @param ruleIdEnd
     */
    public CheckAttendRecordQuery ruleIdEnd(Long ruleIdEnd){
        this.ruleIdEnd = ruleIdEnd;
        return this;
    }

    /**
     * 设置 增加 绩效规则id
     * @param ruleIdIncrement
     */
    public CheckAttendRecordQuery ruleIdIncrement(Long ruleIdIncrement){
        this.ruleIdIncrement = ruleIdIncrement;
        return this;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdList
     */
    public CheckAttendRecordQuery ruleIdList(List<Long> ruleIdList){
        this.ruleIdList = ruleIdList;
        return this;
    }

    /**
     * 设置 绩效规则id
     * @param ruleIdNotList
     */
    public CheckAttendRecordQuery ruleIdNotList(List<Long> ruleIdNotList){
        this.ruleIdNotList = ruleIdNotList;
        return this;
    }


    /**
     * 设置 规则名称
     * @param ruleName
     */
    public CheckAttendRecordQuery ruleName(String ruleName){
        setRuleName(ruleName);
        return this;
    }

    /**
     * 设置 规则名称
     * @param ruleNameList
     */
    public CheckAttendRecordQuery ruleNameList(List<String> ruleNameList){
        this.ruleNameList = ruleNameList;
        return this;
    }

    /**
     * 设置  增减类型(1.增加,2.扣除)
     * @param subAddType
     */
    public CheckAttendRecordQuery subAddType(Integer subAddType){
        setSubAddType(subAddType);
        return this;
    }

    /**
     * 设置 开始 增减类型(1.增加,2.扣除)
     * @param subAddTypeStart
     */
    public CheckAttendRecordQuery subAddTypeStart(Integer subAddTypeStart){
        this.subAddTypeStart = subAddTypeStart;
        return this;
    }

    /**
     * 设置 结束 增减类型(1.增加,2.扣除)
     * @param subAddTypeEnd
     */
    public CheckAttendRecordQuery subAddTypeEnd(Integer subAddTypeEnd){
        this.subAddTypeEnd = subAddTypeEnd;
        return this;
    }

    /**
     * 设置 增加 增减类型(1.增加,2.扣除)
     * @param subAddTypeIncrement
     */
    public CheckAttendRecordQuery subAddTypeIncrement(Integer subAddTypeIncrement){
        this.subAddTypeIncrement = subAddTypeIncrement;
        return this;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeList
     */
    public CheckAttendRecordQuery subAddTypeList(List<Integer> subAddTypeList){
        this.subAddTypeList = subAddTypeList;
        return this;
    }

    /**
     * 设置 增减类型(1.增加,2.扣除)
     * @param subAddTypeNotList
     */
    public CheckAttendRecordQuery subAddTypeNotList(List<Integer> subAddTypeNotList){
        this.subAddTypeNotList = subAddTypeNotList;
        return this;
    }

    /**
     * 设置  扣分或增加分值
     * @param score
     */
    public CheckAttendRecordQuery score(BigDecimal score){
        setScore(score);
        return this;
    }

    /**
     * 设置 开始 扣分或增加分值
     * @param scoreStart
     */
    public CheckAttendRecordQuery scoreStart(BigDecimal scoreStart){
        this.scoreStart = scoreStart;
        return this;
    }

    /**
     * 设置 结束 扣分或增加分值
     * @param scoreEnd
     */
    public CheckAttendRecordQuery scoreEnd(BigDecimal scoreEnd){
        this.scoreEnd = scoreEnd;
        return this;
    }

    /**
     * 设置 增加 扣分或增加分值
     * @param scoreIncrement
     */
    public CheckAttendRecordQuery scoreIncrement(BigDecimal scoreIncrement){
        this.scoreIncrement = scoreIncrement;
        return this;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreList
     */
    public CheckAttendRecordQuery scoreList(List<BigDecimal> scoreList){
        this.scoreList = scoreList;
        return this;
    }

    /**
     * 设置 扣分或增加分值
     * @param scoreNotList
     */
    public CheckAttendRecordQuery scoreNotList(List<BigDecimal> scoreNotList){
        this.scoreNotList = scoreNotList;
        return this;
    }


    /**
     * 设置 上下班时间
     * @param goOffTimeStr
     */
    public CheckAttendRecordQuery goOffTimeStr(String goOffTimeStr){
        setGoOffTimeStr(goOffTimeStr);
        return this;
    }

    /**
     * 设置 上下班时间
     * @param goOffTimeStrList
     */
    public CheckAttendRecordQuery goOffTimeStrList(List<String> goOffTimeStrList){
        this.goOffTimeStrList = goOffTimeStrList;
        return this;
    }




    /**
     * 设置 异常处理结果
     * @param errorResult
     */
    public CheckAttendRecordQuery errorResult(String errorResult){
        setErrorResult(errorResult);
        return this;
    }

    /**
     * 设置 异常处理结果
     * @param errorResultList
     */
    public CheckAttendRecordQuery errorResultList(List<String> errorResultList){
        this.errorResultList = errorResultList;
        return this;
    }


    /**
     * 设置 核查人员
     * @param checkPerson
     */
    public CheckAttendRecordQuery checkPerson(String checkPerson){
        setCheckPerson(checkPerson);
        return this;
    }

    /**
     * 设置 核查人员
     * @param checkPersonList
     */
    public CheckAttendRecordQuery checkPersonList(List<String> checkPersonList){
        this.checkPersonList = checkPersonList;
        return this;
    }



    /**
     * 设置 核查说明
     * @param checkDesc
     */
    public CheckAttendRecordQuery checkDesc(String checkDesc){
        setCheckDesc(checkDesc);
        return this;
    }

    /**
     * 设置 核查说明
     * @param checkDescList
     */
    public CheckAttendRecordQuery checkDescList(List<String> checkDescList){
        this.checkDescList = checkDescList;
        return this;
    }


    /**
     * 设置 核查结果
     * @param checkResult
     */
    public CheckAttendRecordQuery checkResult(String checkResult){
        setCheckResult(checkResult);
        return this;
    }

    /**
     * 设置 核查结果
     * @param checkResultList
     */
    public CheckAttendRecordQuery checkResultList(List<String> checkResultList){
        this.checkResultList = checkResultList;
        return this;
    }

    /**
     * 设置  处理状态(1.未处理,2.已处理)
     * @param checkStatus
     */
    public CheckAttendRecordQuery checkStatus(Integer checkStatus){
        setCheckStatus(checkStatus);
        return this;
    }

    /**
     * 设置 开始 处理状态(1.未处理,2.已处理)
     * @param checkStatusStart
     */
    public CheckAttendRecordQuery checkStatusStart(Integer checkStatusStart){
        this.checkStatusStart = checkStatusStart;
        return this;
    }

    /**
     * 设置 结束 处理状态(1.未处理,2.已处理)
     * @param checkStatusEnd
     */
    public CheckAttendRecordQuery checkStatusEnd(Integer checkStatusEnd){
        this.checkStatusEnd = checkStatusEnd;
        return this;
    }

    /**
     * 设置 增加 处理状态(1.未处理,2.已处理)
     * @param checkStatusIncrement
     */
    public CheckAttendRecordQuery checkStatusIncrement(Integer checkStatusIncrement){
        this.checkStatusIncrement = checkStatusIncrement;
        return this;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusList
     */
    public CheckAttendRecordQuery checkStatusList(List<Integer> checkStatusList){
        this.checkStatusList = checkStatusList;
        return this;
    }

    /**
     * 设置 处理状态(1.未处理,2.已处理)
     * @param checkStatusNotList
     */
    public CheckAttendRecordQuery checkStatusNotList(List<Integer> checkStatusNotList){
        this.checkStatusNotList = checkStatusNotList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public CheckAttendRecordQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public CheckAttendRecordQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public CheckAttendRecordQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public CheckAttendRecordQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public CheckAttendRecordQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public CheckAttendRecordQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public CheckAttendRecordQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public CheckAttendRecordQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public CheckAttendRecordQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public CheckAttendRecordQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public CheckAttendRecordQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public CheckAttendRecordQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethod
     */
    public CheckAttendRecordQuery subMethod(Integer subMethod){
        setSubMethod(subMethod);
        return this;
    }

    /**
     * 设置 开始 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodStart
     */
    public CheckAttendRecordQuery subMethodStart(Integer subMethodStart){
        this.subMethodStart = subMethodStart;
        return this;
    }

    /**
     * 设置 结束 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodEnd
     */
    public CheckAttendRecordQuery subMethodEnd(Integer subMethodEnd){
        this.subMethodEnd = subMethodEnd;
        return this;
    }

    /**
     * 设置 增加 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodIncrement
     */
    public CheckAttendRecordQuery subMethodIncrement(Integer subMethodIncrement){
        this.subMethodIncrement = subMethodIncrement;
        return this;
    }

    /**
     * 设置 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodList
     */
    public CheckAttendRecordQuery subMethodList(List<Integer> subMethodList){
        this.subMethodList = subMethodList;
        return this;
    }

    /**
     * 设置 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     * @param subMethodNotList
     */
    public CheckAttendRecordQuery subMethodNotList(List<Integer> subMethodNotList){
        this.subMethodNotList = subMethodNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<CheckAttendRecordQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<CheckAttendRecordQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<CheckAttendRecordQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<CheckAttendRecordQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}